## b43-asm 0~20080619-0%2Bc1.aptosid.9trisquel1

=== debian/changelog ===
b43-asm (0~20080619-0+c1.aptosid.9trisquel1) unstable; urgency=low

  * Removed sourceless sample firmware files
  * Downgraded debhelper version, lowered compat level to 7

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 02 Sep 2010 13:33:09 +0200

b43-asm (0~20080619-0+c1.aptosid.9) unstable; urgency=low

  * rebuild and switch to aptosid versioning.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 02 Sep 2010 13:33:09 +0200

b43-asm (0~20080619-0+c0.sidux.8) unstable; urgency=low

  * fix git:// upstream URL to the new address.
  * update copyright years.
  * update machine-readable debian/copyright to DEP: 5, rev=135
  * switch to compat level 8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 08 Aug 2010 03:25:33 +0200

b43-asm (0~20080619-0+c0.sidux.7) unstable; urgency=low

  * bump standards version to 3.9.1, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 03 Aug 2010 15:37:57 +0200

b43-asm (0~20080619-0+c0.sidux.6) unstable; urgency=low

  * switch to dpkg-source 3.0 (quilt) format.
  * bump standards version to 3.9.0, no changes necessary.
  * update copyright years.
  * fold build-/ dependencies in debian/control.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 22 Jul 2010 01:00:29 +0200

b43-asm (0~20080619-0+c0.sidux.5) unstable; urgency=low

  * remove boilerplate comments from debian/rules.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 01 Feb 2009 04:16:45 +0100

b43-asm (0~20080619-0+c0.sidux.4) unstable; urgency=low

  * add Vcs-Svn/ Vcs-Browser locations.
  * use machine-interpretable for debian/copyright, and ammend all copyright
    holders of include/linux/list.h until kernel 2.6.0-test1 by using the
    historical git trees for information.
  * enhance long description.
  * add rough manpage templates for now.
  * install docs/ examples, to give an overview over the assembler syntax.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 30 Jan 2009 01:09:03 +0100

b43-asm (0~20080619-0+c0.sidux.3) unstable; urgency=low

  * fix CFLAGS for b43-asm/ b43-dasm.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 24 Jan 2009 02:53:26 +0100

b43-asm (0~20080619-0+c0.sidux.2) unstable; urgency=low

  * add testsuite target "selftest" and run it during the build.
  * add gcc to dependencies.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 24 Jan 2009 01:19:59 +0100

b43-asm (0~20080619-0+c0.sidux.1) unstable; urgency=low

  * Initial release (Closes: #513973).

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 23 Jan 2009 21:37:05 +0100
