## b43-asm 0~20130228.1231

=== debian/changelog ===
b43-asm (0~20130228.1231-8) unstable; urgency=medium

  * switch to python3.
  * explicitly add libfl-dev to build dependencies.
  * bump standards version to 4.5.0:
    - switch to https where possible.
  * switch to compat level 13.
    - drop explicit --parallel or xz invocations.
  * allow R³=no.
  * fix lintian complaints:
    - I: b43-asm: hardening-no-bindnow usr/bin/b43-asm.bin
    - W: b43-asm source: custom-compression-in-debian-rules dh_builddeb -- -Zxz
         -z6
    - W: b43-asm source: custom-compression-in-debian-source-options
         compression-level = 6
    - W: b43-asm source: custom-compression-in-debian-source-options
         compression = "xz"
    - W: b43-asm source: debian-rules-uses-unnecessary-dh-argument dh ...
         --parallel
    - P: b43-asm source: insecure-copyright-format-uri
         http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 03 Aug 2020 09:00:38 +0200

b43-asm (0~20130228.1231-7) unstable; urgency=medium

  * rebuild against current sid.
  * update copyright information.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 05 Jan 2016 03:06:03 +0100

b43-asm (0~20130228.1231-6) unstable; urgency=medium

  * rebuild with gcc-5.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 31 Jul 2015 23:44:51 +0200

b43-asm (0~20130228.1231-5) unstable; urgency=medium

  * bump standards version to 3.9.6, no changes necessary.
  * update license shortname from GPL-2 to GPL-2.0, as recommended by the
    latest versions of DEP-5.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 03 Jan 2015 18:27:58 +0100

b43-asm (0~20130228.1231-4) unstable; urgency=medium

  * fix lintian override syntax (malformed-override Override of debian-watch-
    -file-is-missing).
  * rebuild with gcc-4.9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 12 Jun 2014 02:49:26 +0200

b43-asm (0~20130228.1231-3) unstable; urgency=low

  * bump standards version to 3.9.5, no changes necessary.
  * debian/control: switch Vcs tags to github.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 13 Apr 2014 20:42:58 +0200

b43-asm (0~20130228.1231-2) unstable; urgency=low

  * rebuild with gcc-4.8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 13 Jun 2013 19:11:01 +0200

b43-asm (0~20130228.1231-1) unstable; urgency=low

  * New upstream snapshot:
    - fix FTBS against bison 2.7.
  * switch to xz compressed tarballs and binaries.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 28 Feb 2013 20:25:46 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.10) unstable; urgency=low

  * fix clean target, to support building multiple times in a row.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 22 Feb 2013 01:21:25 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.9) unstable; urgency=low

  * switch to dh9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 16 Jan 2013 23:51:35 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.8) unstable; urgency=low

  * make lintian a little happier:
    - W: b43-asm: hardening-no-fortify-functions usr/bin/b43-asm.bin
    - W: b43-asm: hardening-no-fortify-functions usr/bin/b43-dasm
    - W: b43-asm: hardening-no-relro usr/bin/b43-asm.bin
    - W: b43-asm: hardening-no-relro usr/bin/b43-dasm

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jan 2013 01:13:08 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.7) unstable; urgency=low

  * bump standards version to 3.9.4, no changes necessary.
  * update FSF postal address to be URLs.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 12 Jan 2013 00:50:26 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.6) unstable; urgency=low

  * rebuild with gcc-4.7.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 08 May 2012 00:12:05 +0200

b43-asm (0~20110912.1818-0+c0.aptosid.5) unstable; urgency=low

  * update dep-5 version to final 1.0, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 27 Feb 2012 23:00:34 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.4) unstable; urgency=low

  * bump standards version to 3.9.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Feb 2012 15:44:28 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.3) unstable; urgency=low

  * switch to compat level 9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 16 Jan 2012 00:31:04 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.2) unstable; urgency=low

  * update upstream eMail address in manpages.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 10 Nov 2011 20:01:06 +0100

b43-asm (0~20110912.1818-0+c0.aptosid.1) unstable; urgency=low

  * new upstream version.
  * bump standards version to 3.9.2, no changes necessary.
  * use Format instead of Format-Specification in debian/copyright and fix URL
    to use alioth's new anonscm location.
  * make lintian happier:
    - I: b43-asm: spelling-error-in-manpage b43-dasm.1 allows to allows one to
    - W: b43-asm: manpage-has-useless-whatis-entry brcm80211-fwconv.1
    - W: b43-asm: manpage-has-useless-whatis-entry brcm80211-ivaldump.1
    - W: b43-asm source: debian-rules-missing-recommended-target build-arch
    - W: b43-asm source: debian-rules-missing-recommended-target build-indep
  * override non-fixable lintian warnings:
    - b43-asm source: debian-watch-file-is-missing
    - b43-asm: no-upstream-changelog
    - b43-asm: no-homepage-field
  * add crude get-orig-source target.
  * update git URI to use git://git.bues.ch/b43-tools.git.
  * add initial help2man based manpages for brcm80211-{ivaldump,fwconv}.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 10 Nov 2011 19:38:46 +0100
