=== debian/control ===
Source: b43-asm
Section: devel
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 bison,
 dpkg-dev (>= 1.16.1~),
 flex,
 libfl-dev
Standards-Version: 4.5.0
Vcs-Git: https://github.com/fullstory/b43-asm.git
Vcs-Browser: https://github.com/fullstory/b43-asm

Package: b43-asm
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 gcc,
 python3
Description: assembler and disassembler for Broadcom BCM43xx firmware
 b43-asm is an (dis-)assembler for Broadcom AirForce BCM43xx wireless lan
 chipsets with a core revision >= 5.
 .
 It is capable of compiling and disassembling the opensource 'OpenFWWF'
 firmware used by Linux' b43 driver.
